## org.eclipse.datatools.modelbase.sql.accesscontrol
Interface Privilege

All Superinterfaces:
  SQLObject

All Known Subinterfaces:
  DoubleObjectPrivilege, TablePrivilege

All Known Implementing Classes:
  DoubleObjectPrivilegeImpl, PrivilegeImpl, TablePrivilegeImpl

public interface Privilege
extends SQLObject

A representation of the model object 'Privilege'. Reference: 5WD-02-Foundation-2002-12 4.34.2 Privileges

The following features are supported:

- `Grantable`
- `Action`
- `Grantor`
- `Object`

See Also:
  `SQLAccessControlPackage.getPrivilege()`

Method Summary
`java.lang.String` `getAction()` Returns the value of the 'Action' attribute.
`AuthorizationIdentifier` `getGrantor()` Returns the value of the 'Grantor' reference.
`SQLObject` `getObject()` Returns the value of the 'Object' reference.
`boolean` `isGrantable()` Returns the value of the 'Grantable' attribute.
`void` `setAction(java.lang.String value)` Sets the value of the '`Action`' attribute.
`void` `setGrantable(boolean value)` Sets the value of the '`Grantable`' attribute.
`void` `setGrantor(AuthorizationIdentifier value)` Sets the value of the '`Grantor`' reference.
`void` `setObject(SQLObject value)` Sets the value of the '`Object`' reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### isGrantable

    public boolean isGrantable()

  Returns the value of the 'Grantable' attribute.

  If the meaning of the 'Grantable' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Grantable' attribute.
  See Also:
    `setGrantable(boolean)`, `SQLAccessControlPackage.getPrivilege_Grantable()`

### setGrantable

    public void setGrantable(boolean value)

  Sets the value of the '`Grantable`' attribute.

  Parameters:
    `value` - the new value of the 'Grantable' attribute.
  See Also:
    `isGrantable()`

### getAction

    public java.lang.String getAction()

  Returns the value of the 'Action' attribute.

  If the meaning of the 'Action' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Action' attribute.
  See Also:
    `setAction(String)`, `SQLAccessControlPackage.getPrivilege_Action()`

### setAction

    public void setAction(java.lang.String value)

  Sets the value of the '`Action`' attribute.

  Parameters:
    `value` - the new value of the 'Action' attribute.
  See Also:
    `getAction()`

### getGrantor

    public AuthorizationIdentifier getGrantor()

  Returns the value of the 'Grantor' reference. It is bidirectional and its opposite is '`Granted Privilege`'.

  If the meaning of the 'Grantor' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Grantor' reference.
  See Also:
    `setGrantor(AuthorizationIdentifier)`, `SQLAccessControlPackage.getPrivilege_Grantor()`, `AuthorizationIdentifier.getGrantedPrivilege()`

### setGrantor

    public void setGrantor(AuthorizationIdentifier value)

  Sets the value of the '`Grantor`' reference.

  Parameters:
    `value` - the new value of the 'Grantor' reference.
  See Also:
    `getGrantor()`

### getObject

    public SQLObject getObject()

  Returns the value of the 'Object' reference.

  If the meaning of the 'Object' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Object' reference.
  See Also:
    `setObject(SQLObject)`, `SQLAccessControlPackage.getPrivilege_Object()`

### setObject

    public void setObject(SQLObject value)

  Sets the value of the '`Object`' reference.

  Parameters:
    `value` - the new value of the 'Object' reference.
  See Also:
    `getObject()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.